FROM php:7.4-fpm-alpine

RUN apk add --no-cache libpng libpng-dev libjpeg-turbo-dev libwebp-dev zlib-dev libxpm-dev libzip-dev oniguruma-dev libxml2-dev \
        && docker-php-ext-install zip bcmath pdo_mysql mysqli mbstring opcache soap \
        && docker-php-ext-configure gd \
        && docker-php-ext-install gd \
        && apk del libpng libpng-dev libjpeg-turbo-dev libwebp-dev zlib-dev libxpm-dev libzip-dev oniguruma-dev libxml2-dev

RUN curl -sS https://getcomposer.org/installer | php -- --install-dir=/usr/local/bin --filename=composer
